clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedSymbolRole Struct Reference
Collaboration diagram for llvm::yaml::NormalizedSymbolRole:
[legend]

## Public Member Functions
| NormalizedSymbolRole (IO &)
| NormalizedSymbolRole (IO &IO, RelationKind R)
RelationKind | denormalize (IO &IO)

## Public Attributes
uint8_t | Kind = 0

## Detailed Description

Definition at line 283 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedSymbolRole() [1/2]

llvm::yaml::NormalizedSymbolRole::NormalizedSymbolRole | ( | IO & |  | ) |
| inline

Definition at line 284 of file YAMLSerialization.cpp.

## ◆ NormalizedSymbolRole() [2/2]

llvm::yaml::NormalizedSymbolRole::NormalizedSymbolRole | ( | IO & | IO,
|  | RelationKind | R
| ) |  |
| inline

Definition at line 285 of file YAMLSerialization.cpp.

References Kind.

## Member Function Documentation

## ◆ denormalize()

RelationKind llvm::yaml::NormalizedSymbolRole::denormalize | ( | IO & | IO | ) |
| inline

Definition at line 289 of file YAMLSerialization.cpp.

References Kind.

## Member Data Documentation

## ◆ Kind

uint8_t llvm::yaml::NormalizedSymbolRole::Kind = 0

Definition at line 291 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp